Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.news
Class NewsPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.core.samples.news.NewsPortlet

All Implemented Interfaces:
  javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

    public class NewsPortlet

extends javax.portlet.GenericPortlet

Adapted from JBoss Weather Portlet to deal with RSS News Feeds using RSS 1.0 or RSS 2.0 format.

Author:
  Roy Russo

Field Summary
`static org.apache.log4j.Logger` | `log` Logger

Constructor Summary
`NewsPortlet()`

Method Summary
`protected void` | `doEdit(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` Allow edit of RSS Feed.
`protected void` | `doHelp(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`protected void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`void` | `init()` Compile the XSL File.
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)` Process RSS Feed edit.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doHeaders, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, processEvent, render, serveResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

  Logger

Constructor Detail

### NewsPortlet

    public NewsPortlet()

Method Detail

### init

    public void init()

  Compile the XSL File.

  Overrides:
    `init` in class `javax.portlet.GenericPortlet`

### doView

    protected void doView(javax.portlet.RenderRequest request,
                          javax.portlet.RenderResponse response)
                   throws java.io.IOException,
                          javax.portlet.PortletException

  Overrides:
    `doView` in class `javax.portlet.GenericPortlet`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### doEdit

    protected void doEdit(javax.portlet.RenderRequest request,
                          javax.portlet.RenderResponse response)
                   throws java.io.IOException,
                          javax.portlet.PortletException

  Allow edit of RSS Feed.

  Overrides:
    `doEdit` in class `javax.portlet.GenericPortlet`
  Parameters:
    `request` -
    `response` -
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### doHelp

    protected void doHelp(javax.portlet.RenderRequest request,
                          javax.portlet.RenderResponse response)
                   throws java.io.IOException,
                          javax.portlet.PortletException

  Overrides:
    `doHelp` in class `javax.portlet.GenericPortlet`
  Throws:
    `java.io.IOException`
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException

  Process RSS Feed edit.

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Overrides:
    `processAction` in class `javax.portlet.GenericPortlet`
  Parameters:
    `request` -
    `response` -
  Throws:
    `javax.portlet.PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD